<template>
  <div class="productitem">
      <div>
          <div><strong style="font-size:30px">{{ productitem.productitem_name }}</strong> <strong style="font-size:30px">{{ productitem.productitem_batch }}</strong></div>
        <div>BATCH STATUS <strong style="font-size:20px">{{ productitem.productitem_checked }}</strong></div>
        <div> SHIFT № <strong style="font-size:20px">{{ productitem.productitem_shift }}</strong></div>
        <div> DATE <strong style="font-size:20px">{{ productitem.productitem_date }}</strong></div>
        <div> WEEKDAY <strong style="font-size:20px">{{ productitem.dayString }}</strong></div>
      </div>
      <div class="productitem__btns">
          <my-button @click="$router.push( `/productitems/${productitem.productitem_name}/${productitem.productitem_id}/${productitem.productitem_batch}/${productitem.productitem_shift}/${productitem.productitem_date}`)">Open</my-button>
      </div>
  </div>
</template>


<script>

import ProductitemList from "@/components/ProductitemList.vue";
import ProductitemForm from "@/components/ProductitemForm.vue";

export default {
  components: {
    ProductitemList, ProductitemForm
  },
  props: {
      productitem: {
          type: Object,
          required: true,
        },
    },
}
</script>


<style scoped>
.productitem {
  padding: 15px;
  border: 2px solid pink;
  margin-top: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.productitem__btns {
  display: flex;
}
</style>